From 8a933c778a0eb36526bf3fc8a289e25add9ff8b0 Mon Sep 17 00:00:00 2001
From: David Jagu <marav8@free.fr>
Date: Tue, 24 Oct 2023 18:59:39 +0200
Subject: [PATCH] meson: fix typo in libdrm_intel

Replace system() with cpu_family() for libdrm_intel
This restore libdrm_intel to be built by default

Closes: #93

Signed-off-by: David Jagu <marav8@free.fr>
---
 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meson.build b/meson.build
index ec51777b..e203965d 100644
--- a/meson.build
+++ b/meson.build
@@ -87,7 +87,7 @@ dep_pciaccess = dependency('pciaccess', version : '>= 0.10', required : get_opti
 with_intel = get_option('intel') \
   .require(with_atomics, error_message : 'libdrm_intel requires atomics') \
   .require(dep_pciaccess.found(), error_message : 'libdrm_intel requires libpciaccess') \
-  .disable_auto_if(not host_machine.system().startswith('x86')) \
+  .disable_auto_if(not host_machine.cpu_family().startswith('x86')) \
   .allowed()
 summary('Intel', with_intel)
 
-- 
GitLab

